How to Assure Compatibility of XCP System Variable Names with CANoe Versions < 9.0

Question:

How can I assure that my XCP configuration created with a recent (≥ 9.0) version of CANoe is compatible with older CANoe versions (< 9.0), despite system variables have changed and datatypes have been extended in the newer versions?

Answer:

There is a setting in CANoe (≥ 9.0) to assure this compatibility.
Select Diagnostics & XCP | XCP/CCP and set under System Variable Settings

  • Hierarchical partial identifiers to Compatible with CANoe < 9.0 and
  • Extended Datatypes to Compatible with CANoe < 9.0.

With this setting you should be able to save back and use your configuration file also in CANoe versions before 9.0.



Article ID: 1160
Last updated: 2020-05-08
Revision: 3
CANalyzer/CANoe -> Options -> CCP/XCP -> How to Assure Compatibility of XCP System Variable Names with CANoe Versions < 9.0
https://kb.vector.com/entry/1160/